Bug 881579 - kernel-3.6.7-4 causes panic on FreeBSD KVM guest with >1 CPU
kernel-3.6.7-4 causes panic on FreeBSD KVM guest with >1 CPU
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified FreeBSD
unspecified Severity unspecified
: ---
: ---
Assigned To: Marcelo Tosatti
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-29 01:49 EST by Karli Sjöberg
Modified: 2013-05-28 10:39 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-28 10:39:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karli Sjöberg 2012-11-29 01:49:26 EST
Description of problem:
Since recently patching our oVirt Hosts, I´ve been having trouble running FreeBSD guests with more than one virtual core or socket. I have managed to take a screenshot of how it looks like when it panics when booting kernel, right after ACPI:
http://i47.tinypic.com/2u90qrr.png

I´ve tried this with similar results using 8.2-RELEASE, 8.3-RELEASE, 9.0-RELEASE and 9-STABLE.

If I edit the guest to have only one virtual core or socket, it boots up without issue.

This issue does not present itself when using a lower version kernel, works with kernel-3.3.4-5.

Version-Release number of selected component (if applicable):
kernel-3.6.7-4.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Have kernel-3.3.4-5 and a FreeBSD guest with >1 CPU
2. Update to kernel-3.6.7-4
  
Actual results:
Panic

Expected results:
Successful boot

Additional info:
Comment 1 Marcelo Tosatti 2012-12-12 21:03:29 EST
Karli,

Thanks for the report, there should be a resolution soon.
Comment 2 Marcelo Tosatti 2012-12-17 21:17:07 EST
Karli,

Can you load the kvm-intel.ko module with emulate_invalid_guest_state parameter set 
as 0, ie:

arch/x86/kvm/kvm-intel.ko emulate_invalid_guest_state=0
Comment 3 Marcelo Tosatti 2012-12-18 20:28:33 EST
Its very likely the cause for this are instruction emulation upstream (emulation of invalid guest state by default).

These are being fixed upstream. Once that is completed, it will be necessary to backport
to FC17.

In the meantime, loading kvm-intel.ko with emulate_invalid_guest_state=0 should work around the problem (tested locally on kvm.git as of dec/2012).
Comment 4 Marcelo Tosatti 2012-12-18 20:29:05 EST
(In reply to comment #3)
> Its very likely the cause for this are instruction emulation upstream
> (emulation of invalid guest state by default).

"instruction emulation changes upstream".
Comment 5 Josh Boyer 2013-05-28 10:39:54 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.